Commit 5de3e9f6 authored by Luca Giambonini's avatar Luca Giambonini

update/rebuild for libxml2 group

parent 2ae33fac
pkgname=asciidoc
pkgver=8.6.8
pkgver=8.6.9
pkgrel=1
pkgdesc='Text document format for short documents, articles, books and UNIX man pages.'
arch=('any')
......@@ -14,7 +14,7 @@ optdepends=('lilypond: music-filter'
'lynx: text generation'
'w3m: text generation (alternative to lynx)')
source=("http://downloads.sourceforge.net/${pkgname}/${pkgname}-${pkgver}.tar.gz")
md5sums=('6ffff1ab211f30481741ce4d1e4b12bf')
md5sums=('c59018f105be8d022714b826b0be130a')
build() {
cd ${pkgname}-${pkgver}
......@@ -43,9 +43,6 @@ package() {
install -Dm644 vim/syntax/asciidoc.vim \
${pkgdir}/usr/share/vim/vimfiles/syntax/asciidoc.vim
install -Dm644 vim/ftdetect/asciidoc_filetype.vim \
${pkgdir}/usr/share/vim/vimfiles/ftdetect/asciidoc.vim
# fix FS#21579 - [asciidoc] 8.6.2-2 "asciidoc" table style doesn't work (mismatched python version)
sed -i 's/python/python2/' \
${pkgdir}/etc/asciidoc/asciidoc.conf
......
Description: Correct build against gnuile 2.0.11
grep -l exits with code 1 when there are no matches. Catch this
exit status instead throwing an error in the script.
Author: Andreas Metzler <ametzler@debian.org>
Origin: vendor
Bug: <url in upstream bugtracker>
Last-Update: 2014-05-04
--- autogen-5.18.3~pre34.orig/autoopts/mk-tpl-config.sh
+++ autogen-5.18.3~pre34/autoopts/mk-tpl-config.sh
@@ -201,7 +201,8 @@ fix_guile() {
find_libguiledir "${LGCFLAGS}"
list=`find ${libguiledir}/libguile* -type f`
- list=`grep -l -E '\<noreturn\>' $list`
+ # only fail if grep throws an error, exitcode >= 2.
+ list=`if ! grep -l -E '\<noreturn\>' $list ; then [ $? -lt 2 ] ; fi`
test -z "$list" && exit 0
pkgname=autogen
pkgver=5.18.2
pkgrel=1
pkgrel=2
pkgdesc="A tool designed to simplify the creation and maintenance of programs that contain large amounts of repetitious text"
arch=('x86_64')
url="http://autogen.sourceforge.net/"
......
......@@ -4,7 +4,7 @@
pkgname=docbook-xml
pkgver=4.5
pkgrel=6
pkgrel=7
pkgdesc="A widely used XML scheme for writing documentation and help"
arch=(any)
url="http://www.oasis-open.org/docbook/"
......
......@@ -3,36 +3,31 @@
# Contributer: Sean Middleditch <elanthis@awesomeplay.com>
pkgname=docbook-xsl
pkgver=1.75.2
pkgrel=3
pkgver=1.78.1
pkgrel=1
pkgdesc="XML stylesheets for Docbook-xml transformations."
arch=('any')
license=('custom')
url="http://scrollkeeper.sourceforge.net/docbook.shtml"
depends=('libxml2' 'libxslt' 'docbook-xml')
source=(http://downloads.sourceforge.net/sourceforge/docbook/docbook-xsl-${pkgver}.tar.bz2)
install=docbook-xsl.install
md5sums=('0c76a58a8e6cb5ab49f819e79917308f')
groups=('base-devel')
install=$pkgname.install
md5sums=('6dd0f89131cc35bf4f2ed105a1c17771')
build() {
package() {
cd ${srcdir}/${pkgname}-${pkgver}
install -dm755 ${pkgdir}/usr/share/xml/docbook/xsl-stylesheets-${pkgver}/common
install -m644 common/*.{xml,xsl,dtd,ent} ${pkgdir}/usr/share/xml/docbook/xsl-stylesheets-${pkgver}/common/
install -dm755 ${pkgdir}/usr/share/xml/docbook/xsl-stylesheets-${pkgver}/params
install -m644 params/*.xml ${pkgdir}/usr/share/xml/docbook/xsl-stylesheets-${pkgver}/params/
_pkgroot=${pkgdir}/usr/share/xml/docbook/xsl-stylesheets-${pkgver}
for fn in fo highlighting html roundtrip; do
install -dm755 ${pkgdir}/usr/share/xml/docbook/xsl-stylesheets-${pkgver}/${fn}
install -m644 ${fn}/*.{xml,xsl} ${pkgdir}/usr/share/xml/docbook/xsl-stylesheets-${pkgver}/${fn}/
done
for fn in eclipse htmlhelp javahelp lib manpages profiling template website xhtml; do
install -dm755 ${pkgdir}/usr/share/xml/docbook/xsl-stylesheets-${pkgver}/${fn}
install -m644 ${fn}/*.xsl ${pkgdir}/usr/share/xml/docbook/xsl-stylesheets-${pkgver}/${fn}/
install -dm755 ${_pkgroot}
install -m644 VERSION VERSION.xsl ${_pkgroot}
for fn in assembly common eclipse epub epub3 fo highlighting html htmlhelp javahelp lib \
manpages params profiling roundtrip template website xhtml xhtml-1_1 xhtml5; do
install -dm755 ${_pkgroot}/${fn}
install -m644 ${fn}/*.{xml,xsl,dtd,ent} ${_pkgroot}/${fn} || true # ignore missing files
done
install -dm755 ${pkgdir}/etc/xml
install -m644 VERSION ${pkgdir}/usr/share/xml/docbook/xsl-stylesheets-${pkgver}/
install -m644 -D COPYING ${pkgdir}/usr/share/licenses/${pkgname}/COPYING
install -dm755 ${pkgdir}/etc/xml
install -Dm644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
}
......@@ -4,13 +4,12 @@
pkgname=libcroco
pkgver=0.6.8
pkgrel=3
pkgrel=4
pkgdesc="A CSS parsing library"
arch=('x86_64')
depends=('glib2' 'libxml2')
makedepends=('intltool')
license=('LGPL')
options=('!libtool')
source=("http://ftp.gnome.org/pub/gnome/sources/$pkgname/0.6/$pkgname-$pkgver.tar.xz")
url="http://www.gnome.org"
md5sums=('767e73c4174f75b99695d4530fd9bb80')
......
#
# Chakra Packages for Chakra, part of chakra-project.org
#
# maintainer (i686): Phil Miller <philm[at]chakra-project[dog]org>
# maintainer (x86_64): Manuel Tortosa <manutortosa[at]chakra-project[dot]org>
# maintainer : AlmAck <almack[at]chakraos[dog]org>
pkgname=libxml2
pkgver=2.7.8
pkgrel=2
pkgver=2.9.1
pkgrel=1
pkgdesc="XML parsing library, version 2"
arch=(i686 x86_64)
arch=('x86_64')
license=('custom')
depends=('zlib>=1.2.4' 'readline>=6.1' 'ncurses>=5.7')
depends=('zlib' 'readline' 'ncurses' 'xz')
makedepends=('python2')
options=('!libtool')
url="http://www.xmlsoft.org/"
source=(ftp://ftp.xmlsoft.org/${pkgname}/${pkgname}-${pkgver}.tar.gz
largefile64.patch shared_library_versionning.patch)
md5sums=('8127a65e8c3b08856093099b52599c86'
'5ad4915665608ebfa5b89f7908467a72'
'84aeb7c6db023eae044e95d9211dba53')
source=(ftp://ftp.xmlsoft.org/${pkgname}/${pkgname}-${pkgver}.tar.gz)
md5sums=('9c0cfef285d5c4a5c80d00904ddab380')
build() {
cd "${srcdir}/${pkgname}-${pkgver}"
patch -Np1 -i "${srcdir}/largefile64.patch"
patch -Np1 -i "${srcdir}/shared_library_versionning.patch"
autoreconf -fi
cd "${pkgname}-${pkgver}"
./configure --prefix=/usr --with-threads --with-history \
--with-python=/usr/bin/python2.7
--with-python=/usr/bin/python2
make
}
package() {
cd "${srcdir}/${pkgname}-${pkgver}"
cd "${pkgname}-${pkgver}"
make DESTDIR="${pkgdir}" install
install -Dm644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/COPYING"
}
--- libxml2-2.6.32.dfsg.orig/libxml.h
+++ libxml2-2.6.32.dfsg/libxml.h
@@ -13,6 +13,9 @@
#ifndef _LARGEFILE_SOURCE
#define _LARGEFILE_SOURCE
#endif
+#ifndef _LARGEFILE64_SOURCE
+#define _LARGEFILE64_SOURCE
+#endif
#ifndef _FILE_OFFSET_BITS
#define _FILE_OFFSET_BITS 64
#endif
From 00819877651b87842ed878898ba17dba489820f0 Mon Sep 17 00:00:00 2001
From: Daniel Veillard <veillard@redhat.com>
Date: Thu, 04 Nov 2010 20:53:14 +0000
Subject: Reactivate the shared library versionning script
---
diff --git a/configure.in b/configure.in
index 59d0629..a1d2c89 100644
--- a/configure.in
+++ b/configure.in
@@ -84,7 +84,7 @@ else
esac
fi
AC_SUBST(VERSION_SCRIPT_FLAGS)
-AM_CONDITIONAL([USE_VERSION_SCRIPT], [test -z "$VERSION_SCRIPT_FLAGS"])
+AM_CONDITIONAL([USE_VERSION_SCRIPT], [test -n "$VERSION_SCRIPT_FLAGS"])
dnl
dnl We process the AC_ARG_WITH first so that later we can modify
--
cgit v0.8.3.1
2008-05-31 Eric Belanger <eric@archlinux.org>
* libxslt 1.1.24-1
* Upstream update
2008-05-01 Eric Belanger <eric@archlinux.org>
* libxslt 1.1.23-1
* Upstream update
# $Id: PKGBUILD 58465 2009-11-08 16:04:10Z jgc $
# Maintainer: Eric Belanger <eric@archlinux.org>
# Contributor: John Proctor <jproctor@prium.net>
# Maintainer: AlmAck <almack@chakraos.org>
pkgname=libxslt
pkgver=1.1.26
pkgrel=3
pkgver=1.1.28
pkgrel=1
pkgdesc="XML stylesheet transformation library"
arch=('i686' 'x86_64')
arch=('x86_64')
url="http://xmlsoft.org/XSLT/"
license=('custom')
depends=('libxml2>=2.7.6' 'libgcrypt>=1.4.4')
depends=('libxml2' 'libgcrypt')
makedepends=('python2')
options=('!libtool')
checkdepends=('docbook-xml')
source=(ftp://xmlsoft.org/libxslt/${pkgname}-${pkgver}.tar.gz)
md5sums=('e61d0364a30146aaa3001296f853b2b9')
md5sums=('9667bf6f9310b957254fdcf6596600b7')
build() {
cd "${srcdir}/${pkgname}-${pkgver}"
./configure --prefix=/usr || return 1
make || return 1
make DESTDIR="${pkgdir}" install || return 1
install -d "${pkgdir}/usr/share/licenses/${pkgname}"
install -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
sed -e 's|/usr/bin/python -u|/usr/bin/python2 -u|g' -e 's|/usr/bin/python$|/usr/bin/python2|g' -i python/tests/*.py
./configure --prefix=/usr --with-python=/usr/bin/python2
make
}
check() {
cd "${srcdir}/${pkgname}-${pkgver}"
make check
}
package() {
cd "${srcdir}/${pkgname}-${pkgver}"
make DESTDIR="${pkgdir}" install
install -d "${pkgdir}/usr/share/licenses/${pkgname}"
install -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/"
rm -f "${pkgdir}"/usr/lib/python*/site-packages/*.a
}
\ No newline at end of file
......@@ -4,7 +4,7 @@
# Maintainer : Almack <almack[at]chakra-project[dot]org>
pkgname=shared-mime-info
pkgver=1.2
pkgver=1.3
pkgrel=1
pkgdesc="Freedesktop.org Shared MIME Info"
arch=('x86_64')
......@@ -14,7 +14,7 @@ makedepends=('intltool' 'pkgconfig')
install=shared-mime-info.install
url="http://freedesktop.org/Software/shared-mime-info"
source=(http://freedesktop.org/~hadess/${pkgname}-${pkgver}.tar.xz)
md5sums=('8f90f3f2b8478fa47e70678d34013f99')
md5sums=('743720bc4803dd69f55449013d350f31')
options=(!makeflags)
build() {
......
From 2127f99fb43d2ef950e95329ce40bdd5da8b015c Mon Sep 17 00:00:00 2001
From: Dave Reisner <dreisner@archlinux.org>
Date: Fri, 25 May 2012 19:43:24 -0400
Subject: [PATCH] Reinstate TIMEOUT= handling
This is mostly to deal with ipw2?00 drivers which have yet to be fixed
in the kernel.
---
src/libudev/libudev-device.c | 19 +++++++++++++++++++
src/libudev/libudev-private.h | 1 +
src/udev/udevd.c | 13 ++++++++++---
3 files changed, 30 insertions(+), 3 deletions(-)
diff --git a/src/libudev/libudev-device.c b/src/libudev/libudev-device.c
index a8277d1..5966189 100644
--- a/src/libudev/libudev-device.c
+++ b/src/libudev/libudev-device.c
@@ -68,6 +68,7 @@ struct udev_device {
struct udev_list tags_list;
unsigned long long int seqnum;
unsigned long long int usec_initialized;
+ int timeout;
int devlink_priority;
int refcount;
dev_t devnum;
@@ -89,6 +90,21 @@ struct udev_device {
bool db_persist;
};
+int udev_device_get_timeout(struct udev_device *udev_device)
+{
+ return udev_device->timeout;
+}
+
+static int udev_device_set_timeout(struct udev_device *udev_device, int timeout)
+{
+ char num[32];
+
+ udev_device->timeout = timeout;
+ snprintf(num, sizeof(num), "%u", timeout);
+ udev_device_add_property(udev_device, "TIMEOUT", num);
+ return 0;
+}
+
/**
* udev_device_get_seqnum:
* @udev_device: udev device
@@ -362,6 +378,8 @@ void udev_device_add_property_from_string_parse(struct udev_device *udev_device,
util_strscpyl(path, sizeof(path), TEST_PREFIX "/sys", &property[8], NULL);
udev_device_set_syspath(udev_device, path);
+ } else if (strncmp(property, "TIMEOUT=", 8) == 0) {
+ udev_device_set_timeout(udev_device, strtoull(&property[8], NULL, 10));
} else if (startswith(property, "SUBSYSTEM=")) {
udev_device_set_subsystem(udev_device, &property[10]);
} else if (startswith(property, "DEVTYPE=")) {
@@ -605,6 +623,7 @@ struct udev_device *udev_device_new(struct udev *udev)
udev_list_init(udev, &udev_device->sysattr_value_list, true);
udev_list_init(udev, &udev_device->sysattr_list, false);
udev_list_init(udev, &udev_device->tags_list, true);
+ udev_device->timeout = -1;
udev_device->watch_handle = -1;
/* copy global properties */
udev_list_entry_foreach(list_entry, udev_get_properties_list_entry(udev))
diff --git a/src/libudev/libudev-private.h b/src/libudev/libudev-private.h
index 4eb4a59..99aefeb 100644
--- a/src/libudev/libudev-private.h
+++ b/src/libudev/libudev-private.h
@@ -70,6 +70,7 @@ const char *udev_device_get_id_filename(struct udev_device *udev_device);
void udev_device_set_is_initialized(struct udev_device *udev_device);
int udev_device_add_tag(struct udev_device *udev_device, const char *tag);
void udev_device_cleanup_tags_list(struct udev_device *udev_device);
+int udev_device_get_timeout(struct udev_device *udev_device);
unsigned long long udev_device_get_usec_initialized(struct udev_device *udev_device);
void udev_device_set_usec_initialized(struct udev_device *udev_device, unsigned long long usec_initialized);
int udev_device_get_devlink_priority(struct udev_device *udev_device);
diff --git a/src/udev/udevd.c b/src/udev/udevd.c
index 0d85960..cd24462 100644
--- a/src/udev/udevd.c
+++ b/src/udev/udevd.c
@@ -384,7 +384,7 @@ out:
}
}
-static void event_run(struct event *event)
+static void event_run(struct event *event, bool force)
{
struct udev_list_node *loop;
@@ -410,7 +410,7 @@ static void event_run(struct event *event)
return;
}
- if (children >= children_max) {
+ if (!force && children >= children_max) {
if (children_max > 1)
log_debug("maximum number (%i) of children reached\n", children);
return;
@@ -444,6 +444,13 @@ static int event_queue_insert(struct udev_device *dev)
event->state = EVENT_QUEUED;
udev_list_node_append(&event->node, &event_list);
+
+ /* run all events with a timeout set immediately */
+ if (udev_device_get_timeout(dev) > 0) {
+ event_run(event, true);
+ return 0;
+ }
+
return 0;
}
@@ -549,7 +556,7 @@ static void event_queue_start(struct udev *udev)
if (is_devpath_busy(event))
continue;
- event_run(event);
+ event_run(event, false);
}
}
--
1.7.10.2
# $Id: PKGBUILD 67402 2010-02-06 18:08:15Z giovanni $
# Maintainer: Giovanni Scafora <giovanni@archlinux.org>
# Contributor: Jan de Groot <jgc@archlinux.org>
# Contributor: Sergej Pupykin <sergej@aur.archlinux.org>
# Contributor: Robert Stoffers <rob1@ubuntu.com>
# Maintainer: AlmAck
pkgname=xmlto
pkgver=0.0.24
pkgver=0.0.26
pkgrel=1
pkgdesc="Convert xml to many other formats"
arch=('i686' 'x86_64')
arch=('x86_64')
url="http://cyberelk.net/tim/software/xmlto/"
license=('GPL')
depends=('libxslt' 'perl-yaml-syck' 'perl-test-pod')
depends=('libxslt')
makedepends=('docbook-xsl')
source=("https://fedorahosted.org/releases/x/m/${pkgname}/${pkgname}-${pkgver}.tar.bz2")
md5sums=('9d45bbe43f7c66c6bf585ba6635df31a')
md5sums=('c90a47c774e0963581c1ba57235f64f4')
build() {
cd "$srcdir/${pkgname}-${pkgver}"
./configure --prefix=/usr \
--mandir=/usr/share/man
./configure BASH=/bin/bash --prefix=/usr \
--mandir=/usr/share/man
make
}
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment